Bug 151824 - ports-mgmt/portmaster: portmaster -e globbing appears to have a problem with wildcards
ports-mgmt/portmaster: portmaster -e globbing appears to have a problem with ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: dougb
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-30 01:40 UTC by freebsd-pr
Modified: 2010-11-01 00:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd-pr 2010-10-30 01:40:08 UTC
See http://forums.freebsd.org/showthread.php?t=18868 for description. Summary: 'portmaster -e glob\*' only seems to work when /var/db/pkg is the current working directory. If it is any other directory, it appears to expand (erroneously) in *that* directory instead of matching entries in /var/db/pkg.

Fix: 

Anchor the functionality of portmaster -e in /var/db/pkg/ instead of cwd.
How-To-Repeat: http://forums.freebsd.org/showthread.php?t=18868
Comment 1 Mark Linimon freebsd_committer 2010-10-31 00:04:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dougb

Fix synopsis and assign.
Comment 2 dougb freebsd_committer 2010-10-31 02:15:55 UTC
State Changed
From-To: open->patched
Comment 3 dfilter freebsd_committer 2010-11-01 00:03:52 UTC
dougb       2010-11-01 00:03:42 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt/portmaster Makefile distinfo 
  Log:
  Upgrade to version 3.2
  
  Bug Fixes
  =========
  1. Properly handle +IGNOREME files again
  2. In safe_exit() only print the restart hint if -n PM_NEEDS_UPDATE
  
  Enhancements
  ============
  1. For -F, a better message for spawned children, and continue the campaign
  to do less irrelevant stuff.
  2. Add some whitespace to the "All ports are up to date" message for -a
  3. Make it clear in the docs that -e only handles single ports, and
     use the enhanced features of find_glob_dirs() to return better error
     messages if a glob doesn't match one and only one port. (Problem
     mentioned in PR.)
  
  PR:             ports/151824
  Submitted by:   Ben Grimm <freebsd-pr@bengrimm.net>
  
  Revision  Changes    Path
  2.35      +1 -1      ports/ports-mgmt/portmaster/Makefile
  2.3       +4 -4      ports/ports-mgmt/portmaster/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dougb freebsd_committer 2010-11-01 00:05:17 UTC
State Changed
From-To: patched->closed


Fix committed in version 3.2. Thanks again.